# saga::metric Class Reference

Brief description starts here. More...

`#include <metric.hpp>`

Inheritance diagram for saga::metric:

[legend]

List of all members.

## Public Types
enum | frequency { Unknown = -1, Cont = 0, Descreet = 1, Pull = 2, Push = 3, Event = 4 }
| Brief description starts here. More...
typedef saga::monitorable::cookie_handle | metric_cookie
| Brief description starts here.
## Public Member Functions
| metric (void)
| Brief description starts here.
| metric (saga::object const &o)
| Brief description starts here.
| metric (saga::object target, std::string name, std::string desc, std::string mode, std::string unit, std::string type, std::string val)
| Brief description starts here.
| ~metric (void)
| Brief description starts here.
metric & | operator= (saga::object const &o)
| Brief description starts here.
void | fire (saga::context ctx=saga::context())
| Brief description starts here.
metric_cookie | add_callback (saga::callback f)
| Brief description starts here.
void | remove_callback (metric_cookie cookie)
| Brief description starts here.
## Friends
bool | operator== (metric const &lhs, metric const &rhs)
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Member Typedef Documentation

typedef saga::monitorable::cookie_handle saga::metric::metric_cookie

Brief description starts here.

## Member Enumeration Documentation

enum saga::metric::frequency

Brief description starts here.

Enumerator:

  Unknown |
  Cont |
  Descreet |
  Pull |
  Push |
  Event |

## Constructor & Destructor Documentation

saga::metric::metric | ( | void |  | ) |

Brief description starts here.

saga::metric::metric | ( | saga::object const & | o | ) | `[explicit]`

Brief description starts here.

References saga::BadParameter, saga::object::get_type(), and saga::object::Metric.

saga::metric::metric | ( | saga::object | target,
|  | std::string | name,
|  | std::string | desc,
|  | std::string | mode,
|  | std::string | unit,
|  | std::string | type,
|  | std::string | val |
| ) |  |  |

Brief description starts here.

References saga::BadParameter, saga::attributes::metric_description, saga::attributes::metric_mode, saga::attributes::metric_mode_final, saga::attributes::metric_mode_readonly, saga::attributes::metric_mode_readwrite, saga::attributes::metric_name, saga::attributes::metric_type, saga::attributes::metric_unit, and saga::attributes::metric_value.

saga::metric::~metric | ( | void |  | ) |

Brief description starts here.

## Member Function Documentation

metric & saga::metric::operator= | ( | saga::object const & | o | ) |

Brief description starts here.

References saga::BadParameter, saga::object::get_type(), and saga::object::Metric.

void saga::metric::fire | ( | saga::context | ctx = `saga::context()` | ) |

Brief description starts here.

References saga::detail::attribute< Derived >::get_attribute(), saga::attributes::metric_mode, saga::attributes::metric_mode_readonly, saga::attributes::metric_name, and saga::PermissionDenied.

metric::metric_cookie saga::metric::add_callback | ( | saga::callback | f | ) |

Brief description starts here.

void saga::metric::remove_callback | ( | metric_cookie | cookie | ) |

Brief description starts here.

## Friends And Related Function Documentation

bool operator== | ( | metric const & | lhs,
|  | metric const & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

The documentation for this class was generated from the following files:

- metric.hpp
- metric.cpp